<?php
/**
 *
 * Counter. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2022, Chris1278
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, [
	'ACP_COUNTER_INSTRUCTIONS'					=> 'Para utilizar esta extensión de manera óptima, configure la fecha objetivo deseada y la hora objetivo deseada. Por ejemplo; <b>01.Enero.2025 a las 12 horas</b> por favor establezca esto de la siguiente manera:<br><br>segundos: 00<br>minutos: 00<br>horas: 12<br>días: 01<br>mes: 01<br>Año: 2025<br><br>Después de eso, la cuenta atrás comienza a contar hasta la fecha y hora deseada cuando sea enviado.',
	'ACP_COUNTER_ACTIVE'						=> 'Activar contadores',
	'ACP_COUNTER_ACTIVE_EXPLAIN'				=> 'Seleccione aquí si desea activar o desactivar el contador.',
	'ACP_COUNTER_SECOND'						=> 'Introduzca el segundo',
	'ACP_COUNTER_SECOND_EXPLAIN'				=> 'Introduzca el segundo aquí.',
	'ACP_COUNTER_MINUTE'						=> 'Introduzca el minuto',
	'ACP_COUNTER_MINUTE_EXPLAIN'				=> 'Introduzca el minuto aquí.',
	'ACP_COUNTER_HOUR'							=> 'Introduzca la hora',
	'ACP_COUNTER_HOUR_EXPLAIN'					=> 'Introduzca la hora aquí.',
	'ACP_COUNTER_DAY'							=> 'Introduzca el día',
	'ACP_COUNTER_DAY_EXPLAIN'					=> 'Introduzca el día aquí.',
	'ACP_COUNTER_MONTH'							=> 'Introduzca el mes',
	'ACP_COUNTER_MONTH_EXPLAIN'					=> 'Introduzca el mes aquí.',
	'ACP_COUNTER_YEAR'							=> 'Introduzca el año',
	'ACP_COUNTER_YEAR_EXPLAIN'					=> 'Introduzca el año aquí.',
	'ACP_COUNTER_PERMISSION_INFO_BOTH'			=> 'En <a href="%1$s"><strong>Permisos de usuario</strong></a><strong>/</strong><a href="%2$s"><strong>Permisos de grupos</strong></a> se puede configurar bajo <strong>Varios</strong> quien puede ver el contador.',
	'ACP_COUNTER_PERMISSION_INFO_USER'			=> 'En <a href="%1$s"><strong>Permisos de usuario</strong></a> se puede configurar bajo <strong>Varios</strong> quien puede ver el contador.',
	'ACP_COUNTER_PERMISSION_INFO_GROUP'			=> 'En <a href="%1$s"><strong>Permisos de grupos</strong></a> se puede configurar bajo <strong>Varios</strong> quien puede ver el contador.',
	'ACP_COUNTER_TEXT'							=> 'Mostrar el texto del contador de cuenta atrás',
	'ACP_COUNTER_TEXT_EXPLAIN'					=> 'Aquí puede establecer si debe tener lugar una salida por encima y por debajo de la cuenta atrás.<br>Si no desea generar ningún texto, solo aparece la hora con información en forma de:<br><br><b>Por ejemplo: </b> 1 año 1 día 1 hora 1 minuto 1 segundo<br><br><b style="color: red">Información</b>: Esto no se aplica al texto que se emite al final de la cuenta atrás. Esto se emite en cualquier caso si se ha creado.',
	'ACP_COUNTER_TEXT_OPT'						=> 'Variantes de salida de texto',
	'ACP_COUNTER_TEXT_OPT_EXPLAIN'				=> 'Aquí puede especificar en cuál de las dos variantes desea mostrar el texto para la cuenta atrás. Las variantes son posibles:<br><br><b>Variante 1: </b>Texto encima de la cuenta atrás y Texto debajo de la cuenta atrás<br><b>Variante 2: </b>Texto a la izquierda de la cuenta atrás y Texto a la derecha de la cuenta atrás<br><br><b>Por defecto: </b>Variante 1',
	'ACP_COUNTER_TEXT_ABOVE_BELOW'				=> 'Variante 1',
	'ACP_COUNTER_TEXT_LEFT_RIGHT'				=> 'Variante 2',
	'ACP_INFO_COUNTER_TEXT_ENTER'				=> 'Breve información sobre el uso de la opción "Gestionar Textos"',
	'ACP_INFO_COUNTER_TEXT_ENTER_EXPLAIN'		=> 'Aquí puede gestionar los textos. Puede crearlos/editarlos y eliminarlos. Puede borrar individualmente o todos a la vez. Si desea sobrescribir los textos creados, puede hacerlo ingresando lo mismo que cuando creó los textos. Cualquier texto existente simplemente se sobrescribe. No se requiere eliminación previa para la edición.<br><br><b style="color: red">Información adicional</b>: Según lo que haya seleccionado para el interruptor <b>„Mostrar el texto del contador de cuenta atrás“</b>, se muestran todas las posiciones de texto (cambie a Sí) o solo el texto que viene después de la cuenta atrás cuando haya expirado (cambie a No). Debe crear este texto o dejarlo en blanco. Si no se introduce texto después de alcanzar la cuenta atrás, no aparecerá nada en lugar de la cuenta atrás. En otras palabras, no queda nada en ese punto, que luego se trata como si la cuenta atrás no estuviera allí, es decir, la Ext no está activada.',
	'ACP_COUNTER_OVERVIEW'						=> 'Gestionar textos',
	'ACP_TEXT_ENTER'							=> 'Texto introducido',
	'ACP_LANG_TEXT_POSITION'					=> 'Posición del texto',
	'ACP_LANG_TEXT_POSITION_EXPLAIN'			=> 'Seleccione la posición del texto que desea guardar aquí.',
	'ACP_LANG_COUNT_ABOVE'						=> 'Texto encima de la cuenta atrás',
	'ACP_LANG_COUNT_BELOW'						=> 'Texto debajo de la cuenta atrás',
	'ACP_LANG_COUNT_BEFORE'						=> 'Texto a la izquierda de la cuenta atrás',
	'ACP_LANG_COUNT_AFTER'						=> 'Texto a la derecha de la cuenta atrás',
	'ACP_LANG_COUNT_FINISH'						=> 'Texto que se mostrará cuando finalice la cuenta atrás',
	'ACP_LANG_TEXT_LANGUAGE'					=> 'Lenguaje del texto',
	'ACP_LANG_TEXT_LANGUAGE_EXPLAIN'			=> 'Seleccione aquí en qué idioma desea guardar la posición del texto.',
	'ACP_LANG_TEXT_ENTER'						=> 'Introduzca el texto de la pantalla',
	'ACP_LANG_TEXT_ENTER_EXPLAIN'				=> 'Introduzca aquí el texto que le gustaría mostrar en la posición de texto establecida arriba.',
	'ACP_SAVE'									=> 'Guardar',
	'ACP_COUNTER_REFRESH'						=> 'Actualizar vista',
	'ACP_INFO_COUNTER_TEXT_DELETE_ALL'			=> 'Borrar todos los textos creados',
	'ACP_COUNTER_MSG_CONFIRM_DELETE_ALL'		=> '¿Está seguro de que desea eliminar todas las entradas de los textos creados de la base de datos? Tenga en cuenta que esto no se puede deshacer y que luego debe crear los textos nuevamente desde cero.',
]);
